

class Notification:
    notifications = []

    def __init__(self, msg: str, classes=None, decay: bool = False):
        self.msg = msg
        self.classes = []
        self.classes.extend(classes)
        if decay:
            self.classes.append('decay')

    @classmethod
    def render(cls):
        n = list(cls.notifications)
        cls.notifications.clear()
        return n

    @classmethod
    def success(cls, msg: str, decay: bool = False):
        cls.notifications.append(cls(msg, classes=['success'], decay=decay))

    @classmethod
    def error(cls, msg: str, decay: bool = False):
        cls.notifications.append(cls(msg, classes=['error'], decay=decay))
